Summary:	An NTP client/server
Name:		chrony
Version:	2.1.1
Release:	2
License:	GPL v2
Group:		Daemons
Source0:	http://download.tuxfamily.org/chrony/%{name}-%{version}.tar.gz
# Source0-md5:	15e470a51ab6e09e65bc0a2fbc5299af
Source1:	%{name}.conf
Source2:	%{name}.keys
Source3:	%{name}d.sysconfig
Source4:	%{name}d.init
Source5:	%{name}.logrotate
URL:		http://chrony.tuxfamily.org/
BuildRequires:	bison
BuildRequires:	libcap-devel
BuildRequires:	nss-devel
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.453
BuildRequires:	texinfo
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Provides:	group(ntp)
Provides:	ntpdaemon
Provides:	user(ntp)
Obsoletes:	ntpdaemon
Conflicts:	logrotate < 3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/ntp

# assume gcc 3.4 has it
%if "%{cc_version}" >= "3.4"
%define		specflags	-pie -fpie
%endif

%description
A client/server for the Network Time Protocol, this program keeps your
computer's clock accurate. It was specially designed to support
systems with dial-up Internet connections, and also supports computers
in permanently connected environments.

%prep
%setup -q

%{__sed} -i -e 's,/usr/local,%{_prefix},g' *.texi.in

%build
# NOTE: It is not autoconf generated configre
CC="%{__cc}" \
CFLAGS="%{rpmcflags} -Wmissing-prototypes -Wall" \
CPPFLAGS="%{rpmcppflags}" \
./configure \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--docdir=%{_docdir} \
	--without-editline \

%{__make} getdate all docs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,logrotate.d,rc.d/init.d} \
	$RPM_BUILD_ROOT{%{_sysconfdir},/var/{lib/ntp,log/chrony}}

%{__make} install install-docs \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/chrony.conf
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/keys
cp -a %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/chronyd
cp -a %{SOURCE5} $RPM_BUILD_ROOT/etc/logrotate.d/chrony
install -p %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/chronyd

touch $RPM_BUILD_ROOT%{_localstatedir}/lib/ntp/{drift,rtc}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 246 ntp
%useradd -u 246 -d %{_localstatedir}/lib/ntp -g ntp -c "NTP Daemon" ntp

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/chkconfig --add chronyd
%service chronyd restart

%preun
if [ "$1" = "0" ]; then
	%service chronyd stop
	/sbin/chkconfig --del chronyd
fi

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
if [ "$1" = "0" ]; then
	%userremove ntp
	%groupremove ntp
fi

%files
%defattr(644,root,root,755)
%doc NEWS README chrony.txt FAQ examples/*
%dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/chrony.conf
%attr(640,root,ntp) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/keys
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/chronyd
%config(noreplace) /etc/logrotate.d/chrony
%attr(754,root,root) /etc/rc.d/init.d/chronyd
%attr(755,root,root) %{_bindir}/chronyc
%attr(755,root,root) %{_sbindir}/chronyd
%{_mandir}/man1/chronyc.1*
%{_mandir}/man5/chrony.conf.5*
%{_mandir}/man8/chronyd.8*
%{_infodir}/chrony.info*

%dir %attr(770,root,ntp) /var/lib/ntp
%attr(640,ntp,ntp) %ghost /var/lib/ntp/drift
%attr(640,ntp,ntp) %ghost /var/lib/ntp/rtc

%dir %attr(770,ntp,ntp) /var/log/chrony
%changelog
* Tue Aug 18 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/chrony.git;a=log;h=master

* Tue Aug 18 2015 Jan Rękorajski <baggins@pld-linux.org> 7293114
- drop upstart support
- rel 2

* Thu Jun 25 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5eff599
- up to 2.1.1

* Thu Jun 25 2015 Elan Ruusamäe <glen@delfi.ee> 2e02214
- adapter

* Tue Jun 23 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 45d3a10
- up to 2.1

* Wed Apr 08 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ebc1b59
- up to 1.31.1 (fixes CVE-2015-1799, CVE-2015-1821, CVE-2015-1822)

* Thu Feb 19 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7fd7bb6
- rel 2; use system headers to fix: adjtimex failed for set_frequency, freq_ppm... error (https://bugs.mageia.org/show_bug.cgi?id=15174)

* Thu Sep 11 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ab9394b
- up to 1.31

* Sat Feb 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a39fe23
- up to 1.29.1; fixes CVE-2014-0021

* Sun Aug 18 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4cf0642
- up to 1.29; fixes CVE-2012-4502, CVE-2012-4503

* Fri Jul 19 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e71c57c
- up to 1.28

* Tue Feb 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 00e77c3
- up to 1.27

* Sun Feb 05 2012 Jan Rękorajski <baggins@pld-linux.org> f97f565
- rel 6
- logrotate 3.8.0 requires "su" option for non-root writable dirs

* Tue Jan 17 2012 Elan Ruusamäe <glen@pld-linux.org> 57759dc
- no -pie on gcc 3.3.6 (ac), assume gcc 3.4 has it

* Tue Jan 17 2012 Elan Ruusamäe <glen@pld-linux.org> 08efcae
- --with-readline is not valid opt

* Tue Jan 10 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> bae2b94
- release 5

* Mon Jan 09 2012 Elan Ruusamäe <glen@pld-linux.org> c59d8b3
- restore mistakenly removed initscript

* Wed Dec 14 2011 Elan Ruusamäe <glen@pld-linux.org> 01dc901
- add upstart config

* Fri Aug 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ef1a5c
- rel 2; fix-info-dir fix

* Fri Aug 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2c290ae
- up to 1.26

* Wed May 11 2011 Elan Ruusamäe <glen@pld-linux.org> 88d9552
- up to 1.25

